Skip to main content
POST
/
v1
/
otps
/
email
/
send
C#
// POST /v1/otps/email/send
const stytch = require('stytch');

const client = new stytch.Client({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  email: "sandbox@stytch.com",
};

client.OTPs.Email.Send(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
// POST /v1/otps/email/send
package main

import (
"context"
"log"

"github.com/stytchauth/stytch-go/v18/stytch/consumer/otp/email"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)

func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}

params := &email.SendParams{
Email: "sandbox@stytch.com",
}

resp, err := client.OTPs.Email.Send(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}

log.Println(resp)
}
// POST /v1/otps/email/send
package com.example;

import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.otpemail.SendRequest;
import com.stytch.java.consumer.StytchClient;

public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");

SendRequest params = new SendRequest();
params.setEmail("sandbox@stytch.com");

Object result = StytchClient.getOTPs().getEmail().send(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}
// POST /v1/otps/email/send
package com.example

import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.otpemail.SendRequest

fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)

when (
val result =
StytchClient.otps.email.send(
SendRequest(
email = "sandbox@stytch.com",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/otps/email/send
const stytch = require('stytch');

const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});

const params = {
email: "sandbox@stytch.com",
};

client.otps.email.send(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });
$response = $client->otps->email->send([
'email' => 'sandbox@stytch.com',
]);
# POST /v1/otps/email/send
from stytch import Client

client = Client(
project_id="${projectId}",
secret="${secret}",
)

resp = client.otps.email.send(
email="sandbox@stytch.com",
)

print(resp)
# frozen_string_literal: true

# POST /v1/otps/email/send
require 'stytch'

client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)

resp = client.otps.email.send(
email: "sandbox@stytch.com"

)

puts resp
// POST /v1/otps/email/send
use stytch::consumer::client::Client;
use stytch::consumer::otp_email::SendRequest;

fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.otps.email.send(
SendRequest{
email: "sandbox@stytch.com",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}
# POST /v1/otps/email/send
curl --request POST \
--url https://test.stytch.com/v1/otps/email/send \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"email": "sandbox@stytch.com"
}'
{
  "request_id": "<string>",
  "user_id": "<string>",
  "email_id": "<string>",
  "status_code": 123
}
{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}
{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}
{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}
This endpoint sends a one-time passcode (OTP) to a user’s email address. If you’d like to create a user and send them a passcode with one request, use the login or create user endpoint.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json

Request type

email
string
required

The email address of the user to send the one-time passcode to. You may use sandbox@stytch.com to test this endpoint, see Testing for more detail.

expiration_minutes
integer<int32>

Set the expiration for the one-time passcode, in minutes. The minimum expiration is 1 minute and the maximum is 10 minutes. The default expiration is 2 minutes.

attributes
object

Provided attributes to help with fraud detection. These values are pulled and passed into Stytch endpoints by your application.

locale
enum<string>

Used to determine which language to use when sending the user this delivery method. Parameter is an IETF BCP 47 language tag, e.g. "en".

If no value is provided, the copy defaults to English.

Available options:
en,
es,
pt-br,
fr
user_id
string

The unique ID of a specific User. You may use an external_id here if one is set for the user.

session_token
string

The session_token associated with a User's existing Session.

session_jwt
string

The session_jwt associated with a User's existing Session.

login_template_id
string

Use a custom template for login emails. By default, it will use your default email template. Templates can be added in the Stytch dashboard using our built-in customization options or custom HTML templates with type “OTP - Login”.

signup_template_id
string

Use a custom template for sign-up emails. By default, it will use your default email template. Templates can be added in the Stytch dashboard using our built-in customization options or custom HTML templates with type “OTP - Sign-up”.

Response

Successful response

request_id
string
required

Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.

user_id
string
required

The unique ID of the affected User.

email_id
string
required

The unique ID of a specific email address.

status_code
integer<int32>
required

The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.